## org.apache.batik.css.dom
Interface CSSOMSVGPaint.PaintModificationHandler

All Superinterfaces:
  CSSOMSVGColor.ModificationHandler

All Known Implementing Classes:
  CSSOMSVGPaint.AbstractModificationHandler

Enclosing interface:
  CSSOMSVGPaint

public static interface CSSOMSVGPaint.PaintModificationHandler
extends CSSOMSVGColor.ModificationHandler

To manage the modifications on a SVGPaint value.

Method Summary
`void` `paintChanged(short type, java.lang.String uri, java.lang.String rgb, java.lang.String icc)` Called when the paint value has beem modified.
`void` `uriChanged(java.lang.String uri)` Called when the URI has been modified.

Methods inherited from interface org.apache.batik.css.dom.CSSOMSVGColor.ModificationHandler
`blueFloatValueChanged, blueTextChanged, colorAppend, colorChanged, colorInsertedBefore, colorProfileChanged, colorRemoved, colorReplaced, colorsCleared, colorsInitialized, greenFloatValueChanged, greenTextChanged, redFloatValueChanged, redTextChanged, rgbColorChanged, rgbColorICCColorChanged, textChanged`

Method Detail

### uriChanged

    public void uriChanged(java.lang.String uri)

  Called when the URI has been modified.

### paintChanged

    public void paintChanged(short type,
                             java.lang.String uri,
                             java.lang.String rgb,
                             java.lang.String icc)

  Called when the paint value has beem modified.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.